Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.sigfile.f40
Class F40Parser

    java.lang.Object
      com.sun.tdk.signaturetest.sigfile.f40.F40Parser

All Implemented Interfaces:
  Parser

Direct Known Subclasses:
  F41Parser

    public class F40Parser

extends java.lang.Object
implements Parser

Parse string representation used in sigfile v4.0 and create corresponding member object

Constructor Summary
`F40Parser()`

Method Summary
`protected void` | `appendAnnotations(MemberDescription fid, java.util.List alist)`
`protected java.lang.String` | `convertFutureSpecific(java.lang.String str, ClassDescription classDescription)`
`protected MemberDescription` | `parse(ClassDescription cls, java.lang.String def)`
`protected MemberDescription` | `parse(java.lang.String definition)`
`ClassDescription` | `parseClassDescription(java.lang.String classDefinition, java.util.List members)`
`protected boolean` | `parseFutureSpecific(java.lang.String str, ClassDescription cl)`
`protected java.util.Set` | `parseInternals(java.lang.String str)`
`protected ClassDescription` | `processClassDescription(java.lang.String classDefinition)`
`protected void` | `processOuter(ClassDescription classDescription, java.lang.String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### F40Parser

    public F40Parser()

Method Detail

### parseClassDescription

    public ClassDescription parseClassDescription(java.lang.String classDefinition,
                                                  java.util.List members)

  Specified by:
    `parseClassDescription` in interface `Parser`

### parseFutureSpecific

    protected boolean parseFutureSpecific(java.lang.String str,
                                          ClassDescription cl)

### convertFutureSpecific

    protected java.lang.String convertFutureSpecific(java.lang.String str,
                                                     ClassDescription classDescription)

### processOuter

    protected void processOuter(ClassDescription classDescription,
                                java.lang.String str)

### parseInternals

    protected java.util.Set parseInternals(java.lang.String str)

### appendAnnotations

    protected void appendAnnotations(MemberDescription fid,
                                     java.util.List alist)

### parse

    protected MemberDescription parse(java.lang.String definition)

### processClassDescription

    protected ClassDescription processClassDescription(java.lang.String classDefinition)

### parse

    protected MemberDescription parse(ClassDescription cls,
                                      java.lang.String def)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD